{{- define "imageTag" }}
{{- $val := "" }}
{{- if and (hasKey .Values.image "tag") (.Values.image.tag) }}
{{- $val = .Values.image.tag }}
{{- else }}
{{- $val = (.Files.Get (printf "%s/%s" "deployed-images" (required "You must set targetEnv if image.tag is absent!" .Values.targetEnv))) }}
{{- end }}
{{- trim $val }}
{{- end }}

{{- define "fullImageName" -}}
{{- printf "%s:%s" .Values.image.repository (include "imageTag" .) }}
{{- end }}